Name:           x2goclient
Version:        4.0.0.1
Epoch:		    1
Release:        %mkrel 2
License:        GPLv2+
Group:          Networking/Remote access
Summary:        A qt4 client for the x2go system
Url:            http://www.x2go.org
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Patch0:		    x2goclient-3.99.2.2-mga-fix_qt_tool_binary_name.patch

BuildRequires:  gcc-c++ 
BuildRequires:  libldap-devel
BuildRequires:  ImageMagick 
BuildRequires:  cups-devel
BuildRequires:  ssh-devel
BuildRequires:	xpm-devel
BuildRequires:	man
BuildRequires:	qt4-devel

Requires:       hicolor-icon-theme
Requires:	    nxproxy

%description
X2goclient is a graphical qt4 client for the x2go system.
You can use it to connect to running sessions and start new sessions. 

%package mozilla-plugin
Summary:	Browser plugin for x2goclient
Group:		Networking/Remote access

%description mozilla-plugin
Browser plugin for x2goclient

%prep
%setup -q
%apply_patches

%build
%make PREFIX=%{_prefix} \
	MOZPLUGDIR=%{_libdir}/mozilla/plugins

%install
%makeinstall_std PREFIX=%{_prefix} \
	MOZPLUGDIR=%{_libdir}/mozilla/plugins \
	INSTALL_DIR="install -d -m0755" \
	INSTALL_FILE="install -m0644" \
	INSTALL_PROGRAM="install -m0755"

mv %{buildroot}%{_datadir}/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
desktop-file-edit --remove-key=Version %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
desktop-file-edit --remove-key=Category %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
desktop-file-edit --add-category=Network %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
desktop-file-edit --add-category=Qt %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
desktop-file-edit --add-category=KDE %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

%files
%{_bindir}/x2goclient
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/x2goclient.png
%{_mandir}/man1/x2goclient.1.xz
%{_datadir}/x2goclient

%files mozilla-plugin
%{_libdir}/mozilla/plugins/libx2goplugin.so



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:4.0.0.1-2.mga3
+ Revision: 386404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 obgr_seneca <obgr_seneca> 1:4.0.0.1-1.mga3
+ Revision: 344103
- new version

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 1:3.99.2.2-1.mga3
+ Revision: 283870
- Rediffed patch
- New version

* Thu Jun 14 2012 obgr_seneca <obgr_seneca> 1:3.99.2.1-1.mga3
+ Revision: 260553
- new version 3.99.2.1

* Mon May 28 2012 obgr_seneca <obgr_seneca> 1:3.99.2.0-1.mga3
+ Revision: 247877
- New version 3.99.2.0

* Tue Apr 03 2012 obgr_seneca <obgr_seneca> 1:3.99.1.1-1.mga2
+ Revision: 228283
- New version 3.99.1.1

* Fri Mar 02 2012 obgr_seneca <obgr_seneca> 1:3.99.1.0-2.mga2
+ Revision: 216780
- added missing require on nxproxy

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 1:3.99.1.0-1.mga2
+ Revision: 216033
- removed forced reduction of build threats
- added man as BR
- force only 4 threads on make
- rewrote SPEC file
- use more generic build process now
- added patch for qt build tools binary name
- added mozilla plugin sub package
- new version 3.99.1.0

* Tue Feb 07 2012 obgr_seneca <obgr_seneca> 1:3.99.0.6-1.mga2
+ Revision: 205880
- new version 3.99.0.6

* Sat Jan 28 2012 obgr_seneca <obgr_seneca> 1:3.99.0.5-1.mga2
+ Revision: 202634
- new version 3.99.0.5

* Fri Jan 13 2012 obgr_seneca <obgr_seneca> 1:3.99.0.3-1.mga2
+ Revision: 195821
- added xpm-devel as BR
- new version 3.99.0.3

* Thu Jan 05 2012 obgr_seneca <obgr_seneca> 1:3.0.1.18-1.mga2
+ Revision: 191589
- new version 3.0.1.18
- added Epoch because of upstream versioning change
- added patch to fix qmake file
- added patch to build against cups 1.5.0

* Tue Apr 19 2011 obgr_seneca <obgr_seneca> 3.01-4.mga1
+ Revision: 88464
- imported package x2goclient

